#ifndef _PCE_VDC_H
#define _PCE_VDC_H
void VDC_SetPixelFormat(int rshift, int gshift, int bshift);
void VDC_RunFrame(uint32 *pXBuf, MDFN_Rect *LineWidths, int skip);
bool VDC_ToggleLayer(int which);


DECLFR(VDC_Read);
DECLFW(VDC_Write);
DECLFW(VDC_Write_ST);

DECLFR(VCE_Read);
DECLFW(VCE_Write);

void VDC_Init(int sgx);
void VDC_Reset(void);
void VDC_Power(void);
uint32 VDC_GetRegister(std::string name);
void VDC_SetRegister(std::string name, uint32 value);

int VDC_StateAction(StateMem *sm, int load, int data_only);

uint32 VDC_GfxMemPeek(uint32 A, unsigned int bsize, bool hl);
void VDC_GfxMemPoke(uint32 A, uint32 V, unsigned int bsize, bool hl);

#endif
